Bug 197711 - [patch] devel/boost-all: add CPE information
Summary: [patch] devel/boost-all: add CPE information
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bartek Rutkowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-16 18:23 UTC by shun
Modified: 2015-03-29 12:44 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (office)


Attachments
Makefile include with CPE info added (287 bytes, patch)
2015-02-16 18:23 UTC, shun
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description shun 2015-02-16 18:23:45 UTC
Created attachment 153043 [details]
Makefile include with CPE info added

Boost has had vulnerabilities with a CPE identifer assigned. This patch add CPE information as suggested in the FreeBSD wiki[0].

[0] https://wiki.freebsd.org/Ports/CPE
Comment 1 Bugzilla Automation freebsd_committer 2015-02-16 18:23:45 UTC
Auto-assigned to maintainer office@FreeBSD.org
Comment 2 commit-hook freebsd_committer 2015-03-18 15:06:40 UTC
A commit references this bug:

Author: robak
Date: Wed Mar 18 15:06:34 UTC 2015
New revision: 381556
URL: https://svnweb.freebsd.org/changeset/ports/381556

Log:
  devel/boost-all: add CPE information

  PR:		197711
  Submitted by:	Shun <shun.fbsd.pr@dropcut.net>
  Approved by:	bapt (blanket)

Changes:
  head/devel/boost-all/common.mk
Comment 3 Bartek Rutkowski freebsd_committer 2015-03-18 15:09:15 UTC
Committed, thanks for your work!
Comment 4 commit-hook freebsd_committer 2015-03-29 12:44:44 UTC
A commit references this bug:

Author: robak
Date: Sun Mar 29 12:44:00 UTC 2015
New revision: 382597
URL: https://svnweb.freebsd.org/changeset/ports/382597

Log:
  devel/boost-all: remove CPE information

  - Since CPE should not be applied to meta ports, I am reverting the commit with CPE info

  PR:		197711
  Approved by:	bapt

Changes:
  head/devel/boost-all/common.mk